Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.colorSpaces
Enum TilingPattern.TilingTypeEnum

    java.lang.Object
      java.lang.Enum<TilingPattern.TilingTypeEnum>
          org.pdfclown.documents.contents.colorSpaces.TilingPattern.TilingTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<TilingPattern.TilingTypeEnum>

Enclosing class:
  TilingPattern

    public static enum TilingPattern.TilingTypeEnum

extends Enum<TilingPattern.TilingTypeEnum>

Spacing adjustment of tiles relative to the device pixel grid.

Enum Constant Summary
`ConstantSpacing` Pattern cells are spaced consistently, that is by a multiple of a device pixel.
`FasterConstantSpacing` Pattern cells are spaced consistently as in tiling type 1 but with additional distortion permitted to enable a more efficient implementation.
`VariableSpacing` The pattern cell is not distorted, but the spacing between pattern cells may vary by as much as 1 device pixel, both horizontally and vertically, when the pattern is painted.

Method Summary
`static TilingPattern.TilingTypeEnum` | `get(int code)`
`int` | `getCode()`
`static TilingPattern.TilingTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TilingPattern.TilingTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ConstantSpacing

    public static final TilingPattern.TilingTypeEnum ConstantSpacing

  Pattern cells are spaced consistently, that is by a multiple of a device pixel.

### VariableSpacing

    public static final TilingPattern.TilingTypeEnum VariableSpacing

  The pattern cell is not distorted, but the spacing between pattern cells may vary by as much as 1 device pixel, both horizontally and vertically, when the pattern is painted.

### FasterConstantSpacing

    public static final TilingPattern.TilingTypeEnum FasterConstantSpacing

  Pattern cells are spaced consistently as in tiling type 1 but with additional distortion permitted to enable a more efficient implementation.

Method Detail

### values

    public static TilingPattern.TilingTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TilingPattern.TilingTypeEnum c : TilingPattern.TilingTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TilingPattern.TilingTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static TilingPattern.TilingTypeEnum get(int code)

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.